aboutsummaryrefslogtreecommitdiff
path: root/util-vserver/vlan.SlackBuild
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-19 19:31:21 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-19 19:31:21 +0000
commit3b42ea2913d5aa8077aba9fe1761b824398f9804 (patch)
tree64bcbbc6876e27f863df0ef9e9346e22b8291294 /util-vserver/vlan.SlackBuild
parent8faf3506c7ee2a4a2f210d11d41ba91d9bd27eea (diff)
downloadslackbuilds-3b42ea2913d5aa8077aba9fe1761b824398f9804.tar.gz
slackbuilds-3b42ea2913d5aa8077aba9fe1761b824398f9804.tar.bz2
fixing permissions, part 1
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@455 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'util-vserver/vlan.SlackBuild')
-rwxr-xr-xutil-vserver/vlan.SlackBuild103
1 files changed, 103 insertions, 0 deletions
diff --git a/util-vserver/vlan.SlackBuild b/util-vserver/vlan.SlackBuild
new file mode 100755
index 00000000..bb4196cb
--- /dev/null
+++ b/util-vserver/vlan.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/bash
+#
+# slackbuild for vlan
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="vlan"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=1.9}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE.$VERSION.tar.$PACKAGE_EXT"
+URL="http://www.candelatech.com/~greear/vlan/$SRC"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+mv $PACKAGE $PACKAGE-$VERSION
+cd $PACKAGE-$VERSION
+rm -f vconfig vconfig.o
+make || exit 32
+
+CWD="`pwd`"
+
+mkdir $TMP/package-$PACKAGE
+cd $TMP/package-$PACKAGE
+
+mkdir -p usr/bin
+cp $CWD/vconfig usr/bin
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+vlan: vlan (802.1Q VLAN implementation for Linux)
+vlan:
+vlan: http://www.candelatech.com/~greear/vlan.html
+vlan:
+vlan:
+vlan:
+vlan:
+vlan:
+vlan:
+vlan:
+vlan:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in CHANGELOG README vlan.html howto.html; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+